Skip to content

Manual provisioning payment token activation

Request

This endpoint activates the payment token for a card that has been manually added to a wallet provider. Please read this guide before implementing this API.

This API is not available for sandbox testing.

Security
UserToken or ClientCredentialsToken
Path
profileIdinteger, (int64)required

The profile ID

Example:12345
cardTokenstring, (uuid)required

The card token

Example:a3f90c98-1cd1-4488-9050-2e32c696f8fa
paymentTokenUniqueReferencestringrequired

The payment token unique reference issued by the scheme token service

Example:DNITHE382607223583426199
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
activationstringrequired

Approve or decline a payment token activation

Enum:"APPROVE""DECLINE"
Example:"APPROVE"
curl -i -X POST \
  https://api.wise.com/v3/spend/profiles/12345/cards/a3f90c98-1cd1-4488-9050-2e32c696f8fa/payment-tokens/DNITHE382607223583426199/activation \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "activation": "APPROVE"
  }'

Responses

No Content - Payment token have been successfully activated or declined

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content